
#pragma once
#include "asset/asset_render.h"
namespace engineapi
{
	class RenderContext {
	public:
		uint32_t MaterialId{ 0 };
		uint32_t PassId{ 0 };
		uint32_t ShaderId{ 0 };
	public:
		virtual void UseContext(){};
		virtual void UseMaterial(uint32_t ID) {
			MaterialId = ID;
		};
		virtual void UseShader(uint32_t ID) {
			ShaderId = ID;
		};
		virtual void UsePass(uint32_t ID) {
			PassId = ID;
		};
	};
}